Bullet Collision Detection & Physics Library: Bullet::SoftBodyPoseData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::SoftBodyPoseData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::SoftBodyPoseData:
[legend]

## Public Attributes
btMatrix3x3FloatData | m_rot
btMatrix3x3FloatData | m_scale
btMatrix3x3FloatData | m_aqq
btVector3FloatData | m_com
btVector3FloatData * | m_positions
float * | m_weights
int | m_numPositions
int | m_numWeigts
int | m_bvolume
int | m_bframe
float | m_restVolume
int | m_pad

## Detailed Description

Definition at line 1355 of file bullet.h.

## Member Data Documentation

## ◆ m_aqq

btMatrix3x3FloatData Bullet::SoftBodyPoseData::m_aqq

Definition at line 1360 of file bullet.h.

## ◆ m_bframe

int Bullet::SoftBodyPoseData::m_bframe

Definition at line 1367 of file bullet.h.

## ◆ m_bvolume

int Bullet::SoftBodyPoseData::m_bvolume

Definition at line 1366 of file bullet.h.

## ◆ m_com

btVector3FloatData Bullet::SoftBodyPoseData::m_com

Definition at line 1361 of file bullet.h.

## ◆ m_numPositions

int Bullet::SoftBodyPoseData::m_numPositions

Definition at line 1364 of file bullet.h.

## ◆ m_numWeigts

int Bullet::SoftBodyPoseData::m_numWeigts

Definition at line 1365 of file bullet.h.

## ◆ m_pad

int Bullet::SoftBodyPoseData::m_pad

Definition at line 1369 of file bullet.h.

## ◆ m_positions

btVector3FloatData* Bullet::SoftBodyPoseData::m_positions

Definition at line 1362 of file bullet.h.

## ◆ m_restVolume

float Bullet::SoftBodyPoseData::m_restVolume

Definition at line 1368 of file bullet.h.

## ◆ m_rot

btMatrix3x3FloatData Bullet::SoftBodyPoseData::m_rot

Definition at line 1358 of file bullet.h.

## ◆ m_scale

btMatrix3x3FloatData Bullet::SoftBodyPoseData::m_scale

Definition at line 1359 of file bullet.h.

## ◆ m_weights

float* Bullet::SoftBodyPoseData::m_weights

Definition at line 1363 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h